<?php

namespace common\logic\Distribution\Distribution;

use common\logic\AbstractManager;
use common\logic\Distribution\Distribution\Repository\DistributionRepository;
use common\logic\Distribution\Distribution\Service\DistributionBuilder;
use common\logic\Distribution\Distribution\Service\DistributionSolver;
use common\logic\Distribution\Distribution\Wrapper\DistributionContainer;

/**
 * @mixin DistributionSolver
 * @mixin DistributionRepository
 * @mixin DistributionBuilder
 */
class DistributionManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return DistributionContainer::class;
    }
}