<?php

namespace common\logic\Document\Invoice\Wrapper;

use common\logic\Document\Document\Wrapper\DocumentManager;
use common\logic\Document\Quotation\Service\QuotationBuilder;
use common\logic\PointSale\PointSale\Repository\QuotationRepository;

/**
 * @mixin QuotationRepository
 * @mixin QuotationBuilder
 */
class QuotationManager extends DocumentManager
{
    public function getContainerFqcn(): string
    {
        return QuotationContainer::class;
    }
}